---
title: raster masks
id: raster
weight: 60
draft: false
---

これまで説明したとおり、モジュールのマスク（描画マスクとパラメトリックマスクのどんな組み合わせでも）というのは最終的にはグレースケールのラスター画像（ビットマップ画像）で、モジュールの効果がそれぞれのピクセルについてどの程度適用されるかを表したものです。このラスター画像はオンになっているモジュールについて内部的に保存されており、ピクセルパイプライン中の別のモジュールで再利用することができます。

どんなマスクでも、ラスターマスクのどこかのピクセルの不透明度の値がゼロであれば、そのピクセルではモジュールの入力がそのまま変わらずに次へ渡されます。不透明度が1.0であれば、モジュールが完全に効果を発揮します。0〜1.0の間の値であれば、モジュールの効果はその値に比例した度合で適用されます。

コンボボックスから、使うラスターマスクを選択できます。個々のラスターマスクは、そのマスクがもともと生成されたモジュールの名前で指定します。

---

**注意：** ラスターマスクは、モジュールの内部処理の一環として生成されます。モジュールの処理が完了した時点で、マスクはピクセルパイプライン中で後に続くモジュールで使うことができるようになります。

これは以下の2つのことを意味します。

1. 無効化されているモジュールは、ピクセルパイプラインの処理に含まれていないので、ラスターマスクを生成することはできません。何かのモジュールを無効化すると、その時点でそのモジュールのマスクは使うことができなくなります。

2. ラスターマスクは、モジュールの処理の後で、ピクセルパイプラインの _後方に_ 渡されます。ラスターマスクは、生成したモジュールよりパイプラインで後にくるモジュールでのみ使うことができます。

---
