---
title: collections & film rolls
id: collections
draft: false
weight: 20
author: "people"
---

「コレクション」(collection)とは、特定の選択基準によって定義された画像の集合のことを指します。

最も基本的なコレクションは「フィルムロール(film roll)」で、これはディスク上の特定のフォルダからインポートされた画像全体の集合です。画像をファイルシステムから [インポート(import)](../../module-reference/utility-modules/lighttable/import.md) するたび、インポートされた画像の集合がフィルムロールとなります。このとき、フィルムロールの名前は画像の入ったフォルダの名前になります。

[コレクション(collections)](../../module-reference/utility-modules/shared/collections.md) モジュールで、画像の各種属性（EXIF情報、ファイル名、タグなど）にもとづいて、そのほかのコレクションを作ることも簡単にできます。複数の選択基準を組み合わせることで、コレクションをより狭い範囲に限定したり、逆に広げたりすることも可能です。

darktableは、最近使われたコレクションの一覧を保持しています。 [最近開いたコレクション(recent collections)](../../module-reference/utility-modules/shared/recent-collections.md) モジュールを使うことで、簡単にアクセスできます。