---
title: snapshots
id: snapshots
applicable-version: 3.6
tags: 
view: darkroom
---

編集中のスナップショットを保存し、現在の状態と比較することができます。

スナップショットとは、ダークルームで表示されている処理中の画像をビットマップとして保存したものです。スナップショットは現像処理のどの段階でも作ることができ、あとから現在編集中の画像に重ねて表示することができます。こうすることで、左右に並べて比較しながら（デフォルトでは左がスナップショット、右が編集中の画像）モジュールのパラメータを調整することができます。この機能は、 [履歴スタック(history stack)](./history-stack.md) と組み合わせて使うことで、スナップショットと別の現像処理段階での状態とを比較することもできます。

スナップショットを撮るには、 _スナップショットを撮る(take snapshot)_ ボタンを押してください。このボタンの上には、今回のセッション中にこれまでに撮ったスナップショットの一覧が表示されます（訳注：darktableを終了するとスナップショットは消えます）。スナップショットの名前は、スナップショットを撮った時点での一番上のモジュールの名前と、その履歴スタック上の位置（モジュール数）を表しています。

スナップショットの名前をクリックするとそのスナップショットを見ることができ、現在の状態の画像と分割して表示される状態になります。分割表示中は、マウス操作（ドラッグ）で分割線の位置を動かすことができます。またマウスカーソルを分割線の上に重ねると、線の真ん中あたりに小さい回転アイコンが表示されます。これをクリックすると縦分割と横分割を切り替えることができます。

スナップショット表示中は "S" の字の入った三角形が表示され、どちらがスナップショットでどちらが編集中の画像なのかわかるようになっています。

もう一度スナップショットの名前をクリックすると、分割表示を終了し、編集に戻ることができます。またモジュールのリセットボタンを押すと、スナップショットがすべて削除されます。

---

**注意：** スナップショットは、darktableを起動している間は保存されます。そこで、スナップショットは同じ画像の複製を編集しているときに使うこともできます。ふだんと同じように画像を開き、スナップショットを表示してください。

---
