---
title: focus peaking
id: focus-peaking
applicable-version: 3.2.1
tags: 
view: lighttable, darkroom, tethering, map
---

画像のどの部分がシャープな境界を含んでいるかを判定します。これは通常、その部分にフォーカスが合っているということを示します。

![focus-peaking-icon](./focus-peaking/focus-peaking-icon.png#icon) アイコンをクリックしてオンにしてください。画像の中のシャープな部分が黄・緑・青で強調表示されます。

フォーカス検出は、まず画像のノイズを除去し、画像の彩度の変化率を調べ、それから平均値と標準偏差を計算する、というように動作します。境界における彩度の変化率が明らかに平均と異なっていれば、そのあたりのピクセルは境界がシャープであることを示す「ヒートマップ」に入れられます。

- _黄色_ は平均から大きくずれた（6σ（訳注：平均から標準偏差の6倍））高い変化率を表し、非常にシャープな境界であることを示しています。
- _緑色_ は平均から中程度にずれた（4σ）変化率を表し、そこそこシャープな境界であることを示しています。
- _青色_ は平均から少しずれた（2σ）変化率を表し、多少はシャープな境界であることを示しています。

![focus-peaking-overview](./focus-peaking/focus-peaking-overview.png#w75)

上の画像は絞りを開いて被写界深度を浅くして撮影したもので、前から2つめの提灯に書かれている漢字にフォーカスがあっていることがわかると思います。また、ピンク色の花の茎の一部にも、焦点面の付近で十分シャープに写っているところがあり、こちらも黄色と緑色で示されています。
