---
title: searching and grouping modules 
id: search-and-group
weight: 60
draft: false
---

ダークルームの右パネルの一番上（ヒストグラムの下）には，編集モジュールを検索したり既定のグループの中から選択したりするためのモジュールがあります．

![group and search](./search-and-group/module-group-and-search.png#w33)

darktableには，モジュールのグループ分けがいくつかプリセットとして最初から用意されており，モジュールグループアイコンの右にあるプリセットメニューから選ぶことができます．このメニューの「プリセットを管理(manage presets...)」を選べば，グループ分けをカスタマイズしたり新しく作ったりすることもできます．この機能について詳しくは， [_モジュールレイアウトの管理(manage module layouts)_](../../module-reference/utility-modules/darkroom/manage-module-layouts.md) の説明を参照してください．

# グループ

_モジュール検索_ テキストボックスの上に並んでいる _モジュールグループ_ のアイコンのどれかをクリックすると，そのグループに属するモジュールがすべて表示されます．左端の _起動中モジュール(active modules)_ グループアイコン（ ![module-group-active-icon](./search-and-group/module-group-active-icon.png#icon) ）をクリックすると，現在編集中のピクセルパイプラインでオンになっているモジュールの一覧が表示されます．

どれかのモジュールグループ（ _起動中モジュール_ も含む）のアイコンを2回クリックすると，今度はすべてのモジュールの一覧が表示されるようになります．

何かのモジュールをグループに新しく追加したい場合，簡単な方法は，グループアイコンを右クリックして表示される一覧から選択することです．

# 検索

何か文字を _モジュール検索_ 欄に入力すると，名前・タグ・別名などにその文字列が含まれるモジュールが一覧表示されます．この場合，現在のグループ分けのどれかに含まれているかどうかには関係なく，ヒットしたモジュールがすべて表示されます．検索結果として表示されたモジュールは，通常と同じように，オンオフボタンで起動したり，名前のところをクリックして中身を開いたり，必要なだけパラメータ設定を変えたりできます．

もしモジュールのグループを非表示にして検索欄だけ表示している場合，モジュール一覧の部分は，起動中のモジュールの一覧か，検索結果の一覧か，いずれかを表示するようになります．