---
title: image grouping
id: grouping
draft: false
weight: 50
author: "people"
---

画像をグループに分けることで、ライトテーブルに表示されるコレクションの構造がわかりやすくなります。

複数の画像を選択し、 [選択画像(selected image(s))](../../../module-reference/utility-modules/lighttable/selected-image.md) モジュールの「グループ(group)」ボタンを押すか、Ctrl+Gキーを押すことで、選択された画像をグループとしてまとめることができます。同様に、グループになった画像のいくつかを選択して「グループ解除(ungroup)」ボタンを押すか、Ctrl+Shift+Gキーを押すことで、グループからはずすことができます。また、ある画像を複製して生成された画像は、自動的にグループになります。同様に、同じディレクトリから、ファイル名の拡張子部分だけが違う複数の画像（ `IMG_1234.CR2` と `IMG_1234.JPG` など）をインポートした場合も、自動的にグループになります。

何かのグループに入っている画像は、サムネイルに (![top panel_grouping icon](./grouping/top-panel_grouping.png#icon)) アイコンが表示されます。

このライトテーブルのトップパネルに表示されるアイコンは、ボタンになっていて、押すとグループ表示モードのオンオフを切り替えられます。グループ表示モードがオフの場合、すべての画像のサムネイルが個別に表示されます。オンの場合、グループになっている画像はまとめて、単独のサムネイルで表示されます。このとき表示されているサムネイルは、グループリーダー(group leader)と呼ばれます。グループリーダーのサムネイルに表示されるグループアイコンを押すと、そのグループが展開されます（もう一度押すと閉じます）。別のグループを展開すると、最初に展開したグループは閉じた状態に戻ります。

ライトテーブルのファイルマネージャモードでは、展開されたグループは、マウスカーソルを重ねるとオレンジの枠で表示されます。この枠はグループに含まれるすべての画像を囲んで表示されます。

グループが展開表示されているときに、画像のグループアイコンをクリックすると、その画像をグループリーダーにすることができます。このアイコンはグループ表示モードのときだけ表示されますので、グループリーダーを変えたい場合、まずグループ表示モードをオンにして、次に対象のグループを展開してから、グループリーダーにしたい画像のグループアイコンをクリックする、という手順になります。どの画像がグループリーダーになっているかは、グループアイコンの上にマウスカーソルを重ねると、ポップアップ表示されます。

グループを閉じて表示した状態でダークルームに入ると（サムネイルをダブルクリックすると）、グループリーダーの画像が編集用に開きます。

画像をグループにまとめると、現在ある履歴スタックを不用意に変更しないように保護するのにも便利です。たとえば、なにか画像の編集が完了して、現状の版を保護したいとします。その場合、まず画像を選択して、選択画像(selected image)モジュールで「複製(duplicate)」をクリックし、グループ表示モードがオンになっていること・複製した画像のグループが閉じて表示されていることを確認してください。そうすると、その画像をまたダークルームで開いて何か操作をしても、グループリーダーだけが編集されます。それ以外の複製は変更されずに残るわけです。

---

**注意：** 「複製」は、画像の履歴スタックがコピーされるだけの操作です。コピーされた情報は新しいXMPファイルに保存され、rawファイル自体は、元どおりひとつのままです。

---
