---
title: star ratings & color labels
id: star-color
draft: false
weight: 40
author: "people"
---

何かの基準で評価したり分類したりするため、画像に星をつけたり、色ラベルをつけたりすることができます。個々の画像の星の数や色ラベルは、ライトテーブルやフィルムストリップでマウスカーソルを重ねると表示されます。

# 星の数による評価

画像に対し、星なし〜星5つの評価をつけることができます。画像をインポートしたときは、 [インポート(import)](../../../module-reference/utility-modules/lighttable/import.md) モジュールで設定したデフォルトの数の星がつきます。また、画像に星をつけるかわりに、「却下(rejected)」の評価をつけることもできます。

星の数を変えるにはいくつか方法があります。マウスカーソルを画像のサムネイルの上に重ねて、0〜5のキーを押すとその数の星が、Rキーを押すと「却下」がつきます。これがおそらく、フィルムロールを最初にざっと見ている段階での一番簡単な方法でしょう。

あるいは、サムネイルか下パネルに表示されている星アイコンを直接クリックすることでも、評価をつけることができます。「却下」には×をクリックしてください。

画像に「却下」をつけると、ついていた星は消えます。なお、「却下」の操作はアンドゥできますし、「却下」された画像を表示させてもう一度Rキーを押しても「却下」を取り消せます。

同様に、表示されている星アイコンの左端を二回クリックして、画像を星なしにすることもできます。この操作を可能にするかどうかは、 [設定(preferences) > ライトテーブル(lighttable)](../../../preferences-settings/lighttable.md) で設定できます。

複数の画像にまとめて星をつけるには、ライトテーブルかフィルムストリップで複数選択しておいてから、キー操作でつけるか、ライトテーブルのボトムパネルにある星アイコンをクリックしてください。

[トップパネル](../../overview/user-interface/top-panel.md) で、画像を星の数によってフィルタリングすることもできます。

# 色ラベル

色ラベルは画像を分類するもうひとつの方法で、星による評価の代替に、あるいは星による評価とあわせて使うことができます。個々の画像に赤・黄・緑・青・紫のラベルをつけることが可能で、複数つけることもできます。

色ラベルは、サムネイルにマウスカーソルを重ねた状態で、F1〜F5キーを押すとつけたり消したりすることができます。それぞれのキーが、赤・黄・緑・青・紫にそれぞれ対応しています。

複数の画像の色ラベルをまとめて操作するには、ライトテーブルかフィルムストリップで複数選択しておいてから、キー操作でつけるか、ライトテーブルのボトムパネルにある色ラベルアイコンをクリックしてください。選択画像の色ラベルを全部消すには、グレーのボタンを押します。

[コレクション(collections)](../../module-reference/utility-modules/shared/collect-images.md) モジュールで、画像を色ラベルによってフィルタリングすることもできます。