---
title: duplicate manager
id: duplicate-manager
applicable-version: 3.6
tags: 
view: darkroom
---

編集中の画像について複数の版を作成し、確認できます。それぞれの版は、他の版に影響を与えることなく、独立して編集できます。すべての版は同一の画像ファイルを元にしていますが、それぞれの版の編集履歴が個別のXMPサイドカーファイルに保存されます。

複製管理(duplicate manager)モジュールでは、現在ダークルームで編集中の画像の、全ての版がサムネイルつきで一覧表示されます。サムネイルの上で左クリックすると、その複製の画像が一時的に表示されます。ダブルクリックすると、その複製に移動し、編集できるようになります。

モジュールの下にあるボタンで、現在の画像の複製を新しく（新しい版を）作ることができます。「オリジナル」(original)ボタンでは（履歴スタックが空の）「素の」複製を、「複製」(duplicate)ボタンでは現在編集中の状態がそのままの複製を、それぞれ作ることができます（訳注：素の複製でも、モジュール自動適用はされるので、ふつう履歴スタックが本当に空ではないです）。

版数（バージョンナンバー）は、それぞれのサムネイルの右側に表示されます。版数の下の部分をクリックすると、その版の説明を入力することができます。この説明文は _バージョン名(version name)_ というメタデータタグに保存され、ライトテーブルの [メタデータ編集(metadata editor)](../shared/metadata-editor.md) モジュールで編集することができます。