---
title: history stack
id: history-staack
applicable-version: 3.8
tags: 
view: darkroom
---

現在ダークルームで編集中の画像について、 [履歴スタック(history stack)](../../../darkroom/pixelpipe/history-stack.md) を確認したり変更したりできます。

このモジュールでは、現在の画像について変更があった編集モジュールすべてについて、状態の変更（オン／オフ／順番移動／パラメータ変更）があったことをすべて表示しています。スタックの好きなところを選択すれば、画像の現像処理履歴における対応する段階に戻ることができます。また、履歴スタックの項目をShift+クリックすると、現在の編集状態に影響を与えることなく、右側のモジュールパネルで対応するモジュールを開くことができます。

---

**注意：** 履歴スタック上でどこか途中のモジュールを選択してから編集操作をすると、現在選択中の段階より（履歴スタックで）上にある編集操作はすべて破棄されてしまいます。このため、意図せず、ごくあっさりと編集作業を失ってしまうことがあります。十分注意してください！ そのような変更は、通常 Ctrl+Z でアンドゥすることで元に戻すこともできます。

---

履歴スタックモジュールで（最新ではない）どこか途中の段階を選択してから、darktableを終了したり、ダークルームから出たり、別の画像を開いたりすることは、特に危険ではありません。元の画像に戻っても、履歴スタックはそのままで、選択している場所も同じなはずです。

履歴スタックの各項目にマウスカーソルを重ねると、その段階でモジュールにどのような変更がされたかが、前の（あるいはデフォルトの）状態と比較して表示されます。なにか意図せず操作してしまった場合など、どこで問題の操作がなされたのか調べるのに便利です。

「履歴スタックを圧縮(compress history stack)」をクリックすると、画像を現在と全く同じ状態にすることができる履歴スタックで一番短いものが生成されます。この処理を行うと、現在選択されている段階より上の編集段階はすべて破棄されます。圧縮対象の元の履歴スタックに、同じモジュールが複数回現れているところがある場合、それはすべて一回の処理に _圧縮_ されます。

Ctrlキーを押しながら「履歴スタックを圧縮」をクリックすると、以降の段階の切り捨ては行われますが、圧縮はされません。つまり、現在選択中の段階より上の編集段階はすべて破棄されますが、下の段階は何も変更されません。

このモジュールのリセットボタンをクリックすると、履歴スタックをすべて破棄し、デフォルトで適用されるモジュールがあれば再度適用されます。また、履歴の一番下の「オリジナル(original)」を選択して「履歴スタックを圧縮」ボタンを押しても、同様に処理されます。

「履歴スタックを圧縮」ボタンの右隣にあるボタンは、現在の画像の履歴スタックを新しいスタイルとして登録し、別の画像に適用できるようにします。ダイアログが表示されますので、最初の欄にスタイルの名前、2つめの欄に説明（検索用）を書いてください。また、現在の履歴スタックに含まれるモジュール操作のうち、どれをスタイルに含めてどれを除外するかも選択できます。

一旦スタイルが作成されたあとは、ライトテーブルの [スタイル(styles)](../lighttable/styles.md) モジュールを使って管理したり、別の画像に適用したりといった操作ができます。また、スタイルにショートカットキーを設定すると（ [設定(preferences) > ショートカット(shortcuts)](../../../preferences-settings/shortcuts.md) を参照してください）、ライトテーブルでもダークルームでも、いつでも好きなときにキーを押すだけで選択中の画像にスタイルを適用することができるようになります。
