---
title: local copies
id: local-copies
weight: 30
draft: false
author: "people"
---

大量の画像をデスクトップPCの外付けディスクに保存していたり、外部のメディア（RAIDのNASとか、外部のHDDとか）に保存している人は多いと思います。

そこで、外出中にノートPCを使っていくつか現像処理を行い、あとで元の保存メディアに同期させたい、という要求がよく出てきます。しかし、元の保存場所からノートPCにコピーしたり逆に戻したりといった操作を手動で行うのはめんどうですし、ミスも起きやすくなります。darktableのローカルコピー(local copy)機能は、このような場合に手助けとなるよう作られました。

まずライトテーブルで、選択した画像のローカルコピーを作成することができます。ローカルコピーが存在するときは必ず使われ、外部の保存メディアが接続されていない場合でも画像にアクセスできるようになります。後になって、外部メディアが再度接続されてから、XMPサイドカーファイルをそのメディアにコピーしなおし、ローカルコピーを削除できます。この操作は、ライトテーブルの [選択画像(selected images)](../../module-reference/utility-modules/lighttable/selected-image.md) モジュールで行うことができます。

安全のため、ローカルコピーが存在してさらに外部メディアもアクセス可能な場合、起動時にローカルのXMPサイドカーファイルが自動的に同期されます。

ローカルコピーは、 `$HOME/.cache/darktable` ディレクトリに `img-<SIGNATURE>.<EXT>` という名前で保存されます（ `SIGNATURE` はフルパス名のハッシュ値（MD5）で、 `EXT` は元のファイル名の拡張子です）。

ローカルコピーは、ライトテーブルではサムネイルの右上に白いマーク（訳注：灰色では？）が表示されます。また、ローカルコピーはすべて `darktable|local-copy` というタグがつき、簡単に選択することができます。