---
title: top panel
id: top-panel
draft: false
weight: 40
author: "people"
---

上パネルは、darktableの全ての操作画面において同様になっており、共通の機能が並んでいます。

![top-panel](./top-panel/top-panel.png#w100)

# パネル左側

表示
: 星の数や「除外」のありなしを基準として、ライトテーブル（それ以外の画面ではフィルムストリップ）にどの画像が表示されるかを決めます。

並び順
: 画像を何の順で並べるかを選びます。

![top-panel_sort-order icon](./top-panel/top-panel_sort-order.png#icon) 昇順・逆順
: 昇順で表示するか、逆順で表示するか切り替えます。

# パネル右側

![top panel_grouping icon](./top-panel/top-panel_grouping.png#icon) グループ
: [画像のグループ(grouped images)](../../lighttable/digital-asset-management/grouping.md) の全ての画像を表示するか、まとめて表示するか切り替えます。

![top panel_overlays icon](./top-panel/top-panel_overlays.png#icon) サムネイルに表示する情報
: ライトテーブルやフィルムストリップの個々のサムネイルに、どのように情報を表示するかを決めます。
: サムネイルの大きさに応じて違う表示をする設定も可能です。サムネイルの大きさの違いをどのように決めるか、詳しくは [設定(preferences) > ライトテーブル(lighttable)](../../preferences-settings/lighttable.md#thumbnails) を見てください。

![top panel_help icon](./top-panel/top-panel_help.png#icon) コンテキストヘルプ
: このアイコンをクリックしてから何か操作する場所をクリックすると、対応するオンラインマニュアルのページをブラウザで開きます。

![top panel shortcut mapping icon](./top-panel/top-panel_shortcut.png#icon) ショートカット設定
: このアイコンをクリックすると [ビジュアルショートカット設定](../../preferences-settings/shortcuts.md#visual-shortcut-mapping) モードになり、キーボードやマウスのショートカットが設定できます。

![top panel_preferences icon](./top-panel/top-panel_preferences.png#icon) 設定
: darktableの [設定(preferences & settings)](../../preferences-settings/_index.md) を確認、あるいは変更します。
