---
title: export
id: export
draft: false
weight: 40
author: "people"
---

darktableは非破壊型の画像処理ソフトです。つまり、編集操作はすべてdarktable内部のデータベースに記録され（XMPサイドカーファイルにバックアップが保存され）、元の画像ファイルは変更されません。そのため、darktableの外に持ち出せる別の出力ファイルの形で編集処理の結果を書き出すため、 [エクスポート(export)](../../module-reference/utility-modules/shared/export.md) 操作が必要となります。

1. まず、どのようにエクスポートするかを決定します。

   エクスポートモジュールはいろいろな方式に対応していますが、その中でも「現像したRAW画像をJPEGとして保存する」という使いかたが最も多くなることと思います。また、ダークルームの中で編集中の画像をそのままエクスポートすることもできますし、ライトテーブルで複数の画像を選択して一度にエクスポートすることもできます。

2. （ライトテーブルで作業しているなら）エクスポートする画像を選択し、エクスポートモジュールを開き、 _エクスポート先ストレージ(target storage）_ を 「ディスク上のファイル(file on disk)」 に設定して、エクスポートされた画像ファイルを保存する場所を選んでください。デフォルトでは、エクスポート先はRAWファイルのあるフォルダの中の "darktable_exported" というフォルダになります。「ファイルフォーマット(file format)」は JPEG を選択し、その他の設定はデフォルトのままにしてください。

3. 「エクスポート」ボタンをクリックすると、選択された場所に画像ファイルが保存されます。

_**注意：** ほとんどの目的にはJPEGファイルで大丈夫ですが、もし、GIMPとかKritaのようなラスター型の画像編集ソフトでさらに編集するつもりがあるなら、普通はtiffで保存するほうがよい結果を得られます。_
